org.apache.commons.compress.compressors

## Class CompressorOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.compress.compressors.CompressorOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable
  Direct Known Subclasses:
    BZip2CompressorOutputStream, DeflateCompressorOutputStream, GzipCompressorOutputStream, LZMACompressorOutputStream, Pack200CompressorOutputStream, XZCompressorOutputStream

      public abstract class CompressorOutputStream
      extends OutputStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressorOutputStream()`

  - ### Method Summary

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressorOutputStream

          public CompressorOutputStream()

Copyright © 2016 The Apache Software Foundation. All rights reserved.